Package ru.bitel.bgbilling.kernel.dynamic.common.bean

# Class DynamicClass

java.lang.Object
ru.bitel.bgbilling.kernel.dynamic.common.bean.DynamicClass

All Implemented Interfaces:
  `GuiTitlable`

public class DynamicClass extends Object implements GuiTitlable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DynamicClass()`
  `DynamicClass(String className, long lastModified)`
  создание java-класса
  `DynamicClass(String className, long lastModified, String resourceExt)`
  создание произвольного файла "ресурса"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static File`
  `getClassFile(String parent, String className)`
  Возвращает File, соответствующий файлу с исходным кодом указанного класа.
  `String`
  `getClassName()`
  `String`
  `getDescription()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `long`
  `getLastModified()`
  `static String`
  `getResourceExt(String className)`
  Возвращает исходное расширение ресурса, либо "java" (если не задано) для исходников
  `String`
  `getResourceFileSimpleName()`
  Возвращает имя ресурса (без пакета), с расширением.
  `static String`
  `getResourceFileSimpleName(String className)`
  Возвращает "имя файла" ресурса, без пути, просто относительно его пакета.
  `static String`
  `getResourceName(String className)`
  Возвращает имя ресурса без расширения (либо аналогично: просто имя класса для исходников)
  `String`
  `getResourcePackageName()`
  возвращает пакет этого класса (без конечной точки), для default будет пустая строка
  `static String`
  `getResourcePackageName(String className)`
  `static String`
  `getResourceSimpleName(String className)`
  Возвращает краткое (без пакета) имя ресурса без расширения
  `int`
  `hashCode()`
  `boolean`
  `isDeprecated()`
  `boolean`
  `isJavaSource()`
  признак того, что это не класс, а ресурс (имя содержит расширение через ":")
  `static boolean`
  `isJavaSource(String className)`
  признак того, что это не класс, а ресурс (имя содержит расширение через ":")
  `boolean`
  `isNeedsRecompile()`
  `DynamicClass`
  `setAnnotations(Class<?> clazz)`
  `DynamicClass`
  `setClassName(String className)`
  `void`
  `setDeprecated(boolean deprecated)`
  `DynamicClass`
  `setDescription(String description)`
  `void`
  `setLastModified(long lastModified)`
  `void`
  `setNeedsRecompile(boolean needsRecompile)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DynamicClass

    public DynamicClass()

  - ### DynamicClass

    public DynamicClass(String className, long lastModified)
    создание java-класса

  - ### DynamicClass

    public DynamicClass(String className, long lastModified, String resourceExt)
    создание произвольного файла "ресурса"

- ## Method Details

  - ### getClassName

    public String getClassName()

  - ### setClassName

    public DynamicClass setClassName(String className)

  - ### getLastModified

    public long getLastModified()

  - ### setLastModified

    public void setLastModified(long lastModified)

  - ### setNeedsRecompile

    public void setNeedsRecompile(boolean needsRecompile)

  - ### isNeedsRecompile

    public boolean isNeedsRecompile()

  - ### isDeprecated

    public boolean isDeprecated()

  - ### setDeprecated

    public void setDeprecated(boolean deprecated)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public DynamicClass setDescription(String description)

  - ### setAnnotations

    public DynamicClass setAnnotations(Class<?> clazz)

  - ### isJavaSource

    public boolean isJavaSource()
    признак того, что это не класс, а ресурс (имя содержит расширение через ":")

  - ### getResourcePackageName

    public String getResourcePackageName()
    возвращает пакет этого класса (без конечной точки), для default будет пустая строка

  - ### isJavaSource

    public static boolean isJavaSource(String className)
    признак того, что это не класс, а ресурс (имя содержит расширение через ":")
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      true - если это java-класс, а не ресурс (с ":")

  - ### getResourceExt

    public static String getResourceExt(String className)
    Возвращает исходное расширение ресурса, либо "java" (если не задано) для исходников
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      настоящее расширение ресурса.

  - ### getResourceName

    public static String getResourceName(String className)
    Возвращает имя ресурса без расширения (либо аналогично: просто имя класса для исходников)
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      настоящее имя ресурса-без-расширения/имя класса.

  - ### getResourceSimpleName

    public static String getResourceSimpleName(String className)
    Возвращает краткое (без пакета) имя ресурса без расширения

  - ### getResourcePackageName

    public static String getResourcePackageName(String className)

  - ### getResourceFileSimpleName

    public static String getResourceFileSimpleName(String className)
    Возвращает "имя файла" ресурса, без пути, просто относительно его пакета. Для классов это будет "ClassName.java", для ресурсов "report.rep.xml"
    Parameters:
      `className` - оригинальное кодированное имя с ":" итд
    Returns:
      "имя файла"

  - ### getResourceFileSimpleName

    public String getResourceFileSimpleName()
    Возвращает имя ресурса (без пакета), с расширением. (для java это будет название класса + java)

  - ### getClassFile

    public static File getClassFile(String parent, String className)
    Возвращает File, соответствующий файлу с исходным кодом указанного класа. Для ресурсов расширение указывается через двоеточие ("classname:xml" или "classname:rep:xml"), если эта часть не задана - то это java-класс.
    Parameters:
      `parent` - парент файла, корень dyn, у нас местами DynamicCodeDao.getScriptsDir() например
      `className` - имя класса (или ресурса с расширением)
    Returns:
      file файл

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.